# Populate Field

***populateField*** method is used to populate the UI element with the test data.&#x20;

#### ***Syntax***

1. ***void*****&#x20;populateField*****( String elementName)***
2. ***void populateField( String elementName, Object objectValue)***

| **Name**          | **Type** | **Description**        |
| ----------------- | -------- | ---------------------- |
| ***elementName*** | String   | Name of the group      |
| ***objectValue*** | Object   | The value to be search |

#### Code Snippet

```
/*
 *
 */
populateField("SearchText", "Apple");
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.qatts.com/master-1/ui-action-methods/data-population-methods/populate-field.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
